%define _unpackaged_files_terminate_build 1
%def_enable snapshot
%define modname gidocgen
%define ver_major 2025
%def_disable flake8_test

%def_enable check

Name: gi-docgen
Version: %ver_major.3
Release: alt2

Summary: Documentation tool for GObject-based libraries
Group: Development/Other
License: Apache-2.0 or GPL-3.0-or-later
Url: https://pypi.org/project/gi-docgen/

Vcs: https://gitlab.gnome.org/GNOME/gi-docgen.git

%if_disabled snapshot
Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.xz
#Source: https://pypi.io/packages/source/g/%name/%name-%version.tar.gz
%else
Source: %name-%version.tar
%endif

BuildArch: noarch

Requires: python3 >= 3.6
Requires: %name-templates = %EVR
#config.py:
Requires: python3-module-toml

BuildRequires(pre): meson rpm-build-python3
BuildRequires: python3-module-jinja2
BuildRequires: python3-module-markdown
BuildRequires: python3-module-markupsafe
BuildRequires: python3-module-Pygments
BuildRequires: python3-module-packaging
BuildRequires: python3-module-toml
BuildRequires: python3-module-typogrify
%{?_enable_check:BuildRequires: python3-module-pytest python3-module-mypy
BuildRequires: python3-module-markdown python3-module-jinja2 python3-module-Pygments
BuildRequires: python3-module-toml python3-module-typogrify
%{?_enable_flake8_test:BuildRequires: python3-module-flake8}}

%description
GI-DocGen is a document generator for GObject-based libraries. GObject is
the base type system of the GNOME project. GI-Docgen reuses the
introspection data generated by GObject-based libraries to generate the API
reference of these libraries, as well as other ancillary documentation.

%package templates
Summary: Templates for GI-DocGen
Group: Development/Other
License: Apache-2.0 or GPL-3.0-or-later and OFL-1.1

%description templates
This package provides basic template data for GI-DocGen.

%prep
%setup

%build
%meson
%meson_build

%install
%meson_install

# move templates to %_datadir
mkdir -p %buildroot%_datadir/%modname
mv %buildroot%python3_sitelibdir_noarch/%modname/templates %buildroot%_datadir/%modname/
ln -sf ../../../../share/%modname/templates %buildroot%python3_sitelibdir_noarch/%modname/templates

%check
%__meson_test

%files
%_bindir/%name
%python3_sitelibdir_noarch/%modname/
%_datadir/pkgconfig/%name.pc
%doc README.md

%files templates
%dir %_datadir/%modname
%_datadir/%modname/templates/

%changelog
* Sat May 24 2025 Yuri N. Sedunov <aris@altlinux.org> 2025.3-alt2
- updated to 2025.3-3-g9bec04e
- disabled flake8 test

* Fri Feb 28 2025 Yuri N. Sedunov <aris@altlinux.org> 2025.3-alt1
- 2025.3

* Mon May 20 2024 Yuri N. Sedunov <aris@altlinux.org> 2024.1-alt1
- 2024.1

* Sat Nov 25 2023 Yuri N. Sedunov <aris@altlinux.org> 2023.3-alt1
- 2023.3

* Fri Nov 24 2023 Yuri N. Sedunov <aris@altlinux.org> 2023.2-alt1
- 2023.2

* Thu Apr 27 2023 Yuri N. Sedunov <aris@altlinux.org> 2023.1-alt1.1
- explicitly required python3-module-toml

* Sat Jan 07 2023 Yuri N. Sedunov <aris@altlinux.org> 2023.1-alt1
- 2023.1

* Fri Nov 11 2022 Yuri N. Sedunov <aris@altlinux.org> 2022.2-alt1
- 2022.2

* Mon Feb 28 2022 Yuri N. Sedunov <aris@altlinux.org> 2022.1-alt1
- 2022.1

* Wed Nov 17 2021 Yuri N. Sedunov <aris@altlinux.org> 2021.9-alt0.1
- updated to 2021.8-37-g1e9d03d
- enabled %%check

* Thu Oct 21 2021 Yuri N. Sedunov <aris@altlinux.org> 2021.8-alt1
- 2021.8

* Mon Aug 16 2021 Yuri N. Sedunov <aris@altlinux.org> 2021.7-alt1
- 2021.7

* Thu Apr 15 2021 Yuri N. Sedunov <aris@altlinux.org> 2021.6-alt0.5
- updated to 2021.5-3-g0b0c237

* Sun Apr 11 2021 Yuri N. Sedunov <aris@altlinux.org> 2021.3-alt0.5
- updated to 2021.2-90-g7fbbaf3

* Sat Mar 13 2021 Yuri N. Sedunov <aris@altlinux.org> 2021.2-alt1
- updated to 2021.2-12-g4ce8f10

* Fri Mar 12 2021 Yuri N. Sedunov <aris@altlinux.org> 2021.1-alt1
- first build for Sisyphus (29ed9ef)



